package proto.flight.service;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import proto.flight.domain.FlightManager;
import proto.flight.exception.FlightDomainException;
import proto.flight.view.BaseView;
import framework.service.LocalService;

public abstract class FlightBaseService<T> extends LocalService<T> {
    protected Log log;
    
    public FlightBaseService() {
        this.log = LogFactory.getLog(this.getClass());
    }
    
    protected final FlightManager getFlightReservationManager() {
        return FlightManager.getInstance();
    }

    @Override
    protected abstract T action() throws FlightDomainException;
    
	@Override
	protected void after() throws FlightDomainException {
	}

	@Override
	protected void before() throws FlightDomainException {
	}

}
