package proto.mediator.service;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import framework.service.LocalService;

import proto.mediator.exception.MediatorDomainException;
import proto.mediator.view.BaseView;
import proto.mediator.domain.Mediator;

public abstract class MediatorService<T> extends LocalService<T> {
    protected Log log;

    public MediatorService() {
	this.log = LogFactory.getLog(this.getClass());
    }

    protected final Mediator getMediator() {
	return Mediator.getMediator();
    }

    @Override
    protected abstract T action() throws MediatorDomainException;

    @Override
    protected void after() throws MediatorDomainException {
    }

    @Override
    protected void before() throws MediatorDomainException {
    }

}
